<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<link rel="import" href="/src/magic-mirror-app/clock.html">

<dom-module id="magic-mirror-app">
  <template>
    <style>
      :host {
        background-color: black;
        color: white;
        font-family: "edelsans";
        display: block;
      }
    </style>
    <h2>Hello, dit is [[prop1]]!</h2>
    <clock-component></clock-component>
  </template>

  <script>
    /**
     * @customElement
     * @polymer
     */
    class MagicMirrorApp extends Polymer.Element {
      static get is() { return 'magic-mirror-app'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'magic-mirror-app'
          }
        };
      }
    }

    window.customElements.define(MagicMirrorApp.is, MagicMirrorApp);
  </script>
</dom-module>
